﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;

namespace Post6292ClearEditOverlayOnClient
{
    public partial class _Default : System.Web.UI.Page, ICallbackEventHandler
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                String cbReference = Page.ClientScript.GetCallbackEventReference(this, "arg", "ReceiveServerData", "context");
                String callbackScript = "function CallServer(arg, context)" + "{ " + cbReference + ";}";
                Page.ClientScript.RegisterClientScriptBlock(this.GetType(), "CallServer", callbackScript, true);

                Map1.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromHtml("#B3C6D4"));
                Map1.CurrentExtent = new RectangleShape(-140, 60, 140, -60);
                Map1.MapUnit = GeographyUnit.DecimalDegree;

                Map1.EditOverlay.Features.Add(new Feature(new RectangleShape(-10, 50, 60, 10)));
            }
        }

        #region ICallbackEventHandler Members

        string clearEditOverlayResult = string.Empty;

        public string GetCallbackResult()
        {
            return clearEditOverlayResult;
        }

        public void RaiseCallbackEvent(string eventArgument)
        {
            clearEditOverlayResult = string.Empty;
            if (eventArgument == "ClearEditOverlay")
            {
                Map1.EditOverlay.Features.Clear();
                clearEditOverlayResult = "ClearEditOverlaySuccess";
            }
        }
        #endregion
    }
}
